Jump to content
Edge Dancer

Version 1.9.1.2065

Recommended Posts

My game updated yesterday so I came to download the new mod pack and get this; The selected mod version does not match the current version of the game. Any idea when the new mod pack will be up?

Share this post


Link to post
Share on other sites

When RU/EU updates tomorrow morning (Friday morning)

RU modders create the majority of mods (including XVM), and they often don't release until RU updates to live version.

RU/EU was postponed due to the tech issues that NA had/have.

  • Upvote 2

Share this post


Link to post
Share on other sites

Today in the afternoon.

Share this post


Link to post
Share on other sites

I have the same problem...but the Almighty Aslain will fix it soon :blush1:

wot1.jpg

Asl.jpg

Share this post


Link to post
Share on other sites

My game was hanging at "Updating Garage" and just sit there. I saw where you added Limpid stickers, recalling from an earlier version problem, but couldn't find them. After checking with my hangar settings, I noticed that "Road to Berlin" was checked. I unchecked all garage mods, and game loaded fine. went back to check "Road to Berlin" and game hung again. Went back and changed to the even bigger hangar (can't remember the name) and loaded fine. The hang seems to happen with the "Road to Berlin" hangar selected. 

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...

Important Information

By using this site, you agree to our Terms of Use and Privacy Policy.